package com.friday.operation.api.distributor.service;

import com.friday.operation.api.distributor.dto.*;
import com.friday.base.common.response.DubboResult;
import com.friday.operation.api.distributor.dto.*;

/**
 * @Author YaoYao
 * @Date Created In 10:55 2023/3/3
 * @Description 任务分发对外提供的服务 需鉴权
 * @Modified By
 */
public interface IDistributorService {
    /**
     * 启动任务
     */
    DubboResult<TaskStartResult> startTask(StartTaskReq startReq);

    /**
     * 重启任务
     */
    DubboResult<TaskStartResult> restartTask(RestartTaskReq restartReq);

    /**
     * 停止任务
     */
    DubboResult stopTask(StopTaskReq stopReq);

    /**
     * 获取任务执行结果
     */
    DubboResult<TaskResultDto> getTaskResult(TaskResultFilter filter);

    /**
     * 获取数据
     */
    DubboResult getData(DataRequest dataReq);

    /**
     * 同步数据
     */
    DubboResult syncData(DataRequest dataReq);

    /**
     * 文件处理
     */
    DubboResult handleFile(HandleFileDto handleFile);


}
